/* 
-- ██████╗░██╗░░░██╗██████╗░███████╗██╗░░░██╗███████╗░██████╗████████╗███╗░░██╗██╗██╗░░██╗
-- ██╔══██╗██║░░░██║██╔══██╗██╔════╝██║░░░██║██╔════╝██╔════╝╚══██╔══╝████╗░██║██║██║░██╔╝
-- ██████╦╝██║░░░██║██████╔╝█████╗░░╚██╗░██╔╝█████╗░░╚█████╗░░░░██║░░░██╔██╗██║██║█████═╝░
-- ██╔══██╗██║░░░██║██╔══██╗██╔══╝░░░╚████╔╝░██╔══╝░░░╚═══██╗░░░██║░░░██║╚████║██║██╔═██╗░
-- ██████╦╝╚██████╔╝██║░░██║███████╗░░╚██╔╝░░███████╗██████╔╝░░░██║░░░██║░╚███║██║██║░╚██╗
-- ╚═════╝░░╚═════╝░╚═╝░░╚═╝╚══════╝░░░╚═╝░░░╚══════╝╚═════╝░░░░╚═╝░░░╚═╝░░╚══╝╚═╝╚═╝░░╚═╝*/

var InteractionButton = new Vue({
  el: ".Game",
  data: {
    active: false,
    letter: " ",
    text: " ",
  },
  methods:{
    goletter: function(letterindex){
      this.letter = letterindex;
    },
    gotext: function(textindex){
      this.text = textindex;
    },
    open: function(){
      this.active = true;
    },
    close: function(){
      this.active = false;
    },
  },
});

window.addEventListener('message', function(event) {
  var item = event.data;
  if (item.showUI) {
    InteractionButton.open()
    InteractionButton.goletter(item.letter)
    InteractionButton.gotext(item.text)
  } else {
    InteractionButton.close()
  }
});